No baja actualización mint-artwork-common 1.8.9.2 SOLUCIONADO

Spanish Forum

Moderator: JCSenar

Post Reply
Elizabeth
Level 1
Level 1
Posts: 2
Joined: Mon Apr 16, 2018 6:54 pm

No baja actualización mint-artwork-common 1.8.9.2 SOLUCIONADO

Post by Elizabeth » Tue Apr 17, 2018 11:10 am

Hola, es la primera vez que me dirijo al Foro, gracias anticipadas por ayudarme.
Estoy usando Linux Mint 17.3 Mate 64 bit. El disco lo comparto con Windows 7.
Al querer bajar la actualización nivel 1: mint-artwork-common 1.8.9.2 no la baja y aparece lo siguiente:

Se ha producido un error:

E: /var/cache/apt/archives/mint-artwork-common_1.8.9.2_all.deb: el subproceso dpkg-deb --control devolvió el código de salida de error 2

Si abro el panel “Detalles” aparece lo siguiente:

Code: Select all

(synaptic:3527): GLib-CRITICAL **: g_child_watch_add_full: assertion 'pid > 0' failed
dpkg-deb: error: el archivo `/var/cache/apt/archives/mint-artwork-common_1.8.9.2_all.deb' contiene un miembro de datos prematuro `control.tar.xz' antes de `control.tar.gz', abandono
dpkg: error al procesar el archivo /var/cache/apt/archives/mint-artwork-common_1.8.9.2_all.deb (--unpack):
 el subproceso dpkg-deb --control devolvió el código de salida de error 2
Se encontraron errores al procesar:
 /var/cache/apt/archives/mint-artwork-common_1.8.9.2_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
Un paquete no se pudo instalar. Tratando de recuperarlo:
Siguiendo los consejos del Foro, hice lo siguiente:

1- Desde Synaptic – Editar – reparar paquetes rotos. Resultado dice: Se arreglaron con éxito los problemas de dependencia.

2- Siempre bajé las actualizaciones de nivel 1 y 2. Siguiendo el consejo del Foro para Linux Mint 17.3 bajé todas las actualizaciones nivel 3 para solucionar este problema.

3- Sigue el problema, y Mozilla Firefox ahora está en inglés.

Los datos de mi portatil: inxi -Fxznr

Code: Select all

System:    Host: portatil Kernel: 3.19.0-32-generic x86_64 (64 bit gcc: 4.8.2)
           Desktop: MATE 1.12.0 (Gtk 3.10.8~8+qiana)
           Distro: Linux Mint 17.3 Rosa
Machine:   System: SAMSUNG product: 300E4A/300E5A/300E7A/3430EA/3530EA v: 0.1
           Mobo: SAMSUNG model: 300E4A/300E5A/300E7A/3430EA/3530EA v: FAB1
           Bios: Phoenix v: 09QA date: 11/02/2012
CPU:       Dual core Intel Core i5-2450M (-HT-MCP-) cache: 3072 KB
           flags: (lm nx sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx) bmips: 9977
           clock speeds: max: 3100 MHz 1: 1784 MHz 2: 2857 MHz 3: 2763 MHz
           4: 2671 MHz
Graphics:  Card: Intel 2nd Generation Core Processor Family Integrated Graphics Controller
           bus-ID: 00:02.0
           Display Server: X.Org 1.15.1 drivers: intel (unloaded: fbdev,vesa)
           Resolution: 1360x768@59.8hz, 1360x768@59.8hz
           GLX Renderer: Mesa DRI Intel Sandybridge Mobile
           GLX Version: 3.0 Mesa 10.1.0 Direct Rendering: Yes
Audio:     Card Intel 6 Series/C200 Series Family High Definition Audio Controller
           driver: snd_hda_intel bus-ID: 00:1b.0
           Sound: Advanced Linux Sound Architecture v: k3.19.0-32-generic
Network:   Card-1: Intel Centrino Wireless-N 130
           driver: iwlwifi v: in-tree: bus-ID: 01:00.0
           IF: wlan0 state: up mac: <filter>
           Card-2: Realtek RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller
           driver: r8169 v: 2.3LK-NAPI port: 2000 bus-ID: 02:00.0
           IF: eth0 state: down mac: <filter>
Drives:    HDD Total Size: 1000.2GB (5.7% used)
           ID-1: /dev/sda model: ST1000LM024_HN size: 1000.2GB
Partition: ID-1: / size: 33G used: 19G (59%) fs: ext4 dev: /dev/sda6
           ID-2: /home size: 55G used: 32G (61%) fs: ext4 dev: /dev/sda8
           ID-3: swap-1 size: 4.00GB used: 0.00GB (0%) fs: swap dev: /dev/sda7
RAID:      No RAID devices: /proc/mdstat, md_mod kernel module present
Sensors:   None detected - is lm-sensors installed and configured?
Repos:     Active apt sources in file: /etc/apt/sources.list.d/official-package-repositories.list
           deb http://packages.linuxmint.com rosa main upstream import
           deb http://extra.linuxmint.com rosa main
           deb http://archive.ubuntu.com/ubuntu trusty main restricted universe multiverse
           deb http://archive.ubuntu.com/ubuntu trusty-updates main restricted universe multiverse
           deb http://security.ubuntu.com/ubuntu/ trusty-security main restricted universe multiverse
           deb http://archive.canonical.com/ubuntu/ trusty partner
Info:      Processes: 191 Uptime: 1:23 Memory: 1417.0/3865.3MB
           Init: Upstart runlevel: 2 Gcc sys: 4.8.4
           Client: Shell (bash 4.3.111) inxi: 2.2.28 
Por favor ¿me pueden ayudar a solucionar este problema, explicándome de la forma más simple posible, ya que tengo pocos conocimientos sobre el tema?

Muy cordialmente :(
Last edited by Elizabeth on Tue Apr 17, 2018 3:52 pm, edited 1 time in total.

User avatar
JCSenar
Level 9
Level 9
Posts: 2743
Joined: Sat Sep 06, 2014 6:26 pm
Location: Irun, España
Contact:

Re: No baja actualización mint-artwork-common 1.8.9.2

Post by JCSenar » Tue Apr 17, 2018 12:14 pm

Elizabeth wrote:
Tue Apr 17, 2018 11:10 am
Hola, es la primera vez que me dirijo al Foro, gracias anticipadas por ayudarme.
Estoy usando Linux Mint 17.3 Mate 64 bit. El disco lo comparto con Windows 7.
Al querer bajar la actualización nivel 1: mint-artwork-common 1.8.9.2 no la baja y aparece lo siguiente:

Se ha producido un error:

E: /var/cache/apt/archives/mint-artwork-common_1.8.9.2_all.deb: el subproceso dpkg-deb --control devolvió el código de salida de error 2
Hola Elizabeth: ¡Bienvenida al foro! :D

Es raro que con el nivel 3 activado persista el problema. Hatteras tuvo el mismo problema y lo solucionó como se explica aquí.

Mira también este tema para lo de Firefox en inglés.
Image
Si tu consulta ha sido resuelta, por favor, edita tu primer mensaje y añade [SOLUCIONADO] al título. Gracias.

User avatar
JOPETA
Level 13
Level 13
Posts: 4714
Joined: Thu Nov 20, 2014 6:10 am
Location: En un lugar de cuyo nombre no quiero acordarme

Re: No baja actualización mint-artwork-common 1.8.9.2

Post by JOPETA » Tue Apr 17, 2018 2:16 pm

Puede saber si llegó realmente a actualizar el paquete dpkg con el siguiente código en la terminal.

Code: Select all

apt-cache policy dpkg
Si no lo hizo y ni siquiera lo tiene como candidato debería cambiar el servidor de Ubuntu en Centro de Control>Orígenes del software al de Ubuntu por defecto (clic en Restaurar la configuración estándard y clic en Actualizar la caché, todo eso con Synaptic u otro gestor de software cerrado).
restaurar servidores.png
Si por el contrario lo tiene como candidato desde la propia terminal

Code: Select all

sudo apt-get install --only-upgrade dpkg
Volver a comprobar la versión y si ya se actualizó

Code: Select all

sudo apt-get install --only-upgrade mint-artwork-common
Ante cualquier problema devolver el resultado de los códigos anteriores.

De todas forma Elizabeth debería instalar un kernel con soporte y con parcheo contra las vulnerabilidades meltdown y spectre ya que el 3.19 va a ser que no lo tiene (a elegir según comportamiento entre el último 3.13 y el último 4.4).
Last edited by JOPETA on Tue Apr 17, 2018 5:03 pm, edited 1 time in total.
Ni cola de león ni cabeza de ratón, prefiero ser diente de ajo.( J. Krahe)

Elizabeth
Level 1
Level 1
Posts: 2
Joined: Mon Apr 16, 2018 6:54 pm

Re: No baja actualización mint-artwork-common 1.8.9.2

Post by Elizabeth » Tue Apr 17, 2018 3:50 pm

Muchísimas gracias JCSenar y Jopeta por las rápidas y claras respuestas!!! :D
Lo aconsejado por JCSenar ya lo había probado y seguía el problema.
Siguiendo los pasos que me indicó Jopeta, (los resultados de los pasos figuran más abajo) bajó la actualización y Mozilla Firefox está otra vez en español.
Por favor Jopeta, para seguir tu indicación sobre el Kernel ¿lo puedo actualizar desde el administrador de actualizaciones?
En el nivel 5 figura el 3.13.0-24.47 y el 4.4.0-lts1 ¿Cuál me conviene bajar?

Mil gracias otra vez por vuestro tiempo y vuestra atención!!!

Resultados de los pasos que me indicó Jopeta:

Code: Select all

~ $ apt-cache policy dpkg
dpkg:
  Instalados: 1.17.5ubuntu5
  Candidato:  1.17.5ubuntu5.8
  Tabla de versión:
     1.17.5ubuntu5.8 0
        500 http://archive.ubuntu.com/ubuntu/ trusty-updates/main amd64 Packages
     1.17.5ubuntu5.6 0
        500 http://security.ubuntu.com/ubuntu/ trusty-security/main amd64 Packages
 *** 1.17.5ubuntu5 0
        500 http://archive.ubuntu.com/ubuntu/ trusty/main amd64 Packages
        100 /var/lib/dpkg/status

Code: Select all

~ $ sudo apt-get install --only-upgrade dpkg
[sudo] password for : 
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias       
Leyendo la información de estado... Hecho
Se actualizarán los siguientes paquetes:
  dpkg
1 actualizados, 0 se instalarán, 0 para eliminar y 330 no actualizados.
Necesito descargar 1.958 kB de archivos.
Se utilizarán 1.024 B de espacio de disco adicional después de esta operación.
Des:1 http://archive.ubuntu.com/ubuntu/ trusty-updates/main dpkg amd64 1.17.5ubuntu5.8 [1.958 kB]
Descargados 1.958 kB en 5seg. (363 kB/s)
(Leyendo la base de datos ... 248419 ficheros o directorios instalados actualmente.)
Preparando para desempaquetar .../dpkg_1.17.5ubuntu5.8_amd64.deb ...
Desempaquetando dpkg (1.17.5ubuntu5.8) sobre (1.17.5ubuntu5) ...
Procesando disparadores para man-db (2.6.7.1-1) ...
Configurando dpkg (1.17.5ubuntu5.8) …

Code: Select all

~ $ sudo apt-get install --only-upgrade mint-artwork-common
[sudo] password for : 
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias       
Leyendo la información de estado... Hecho
mint-artwork-common ya está en su versión más reciente.
0 actualizados, 0 se instalarán, 0 para eliminar y 329 no actualizados.
Last edited by JCSenar on Tue Apr 17, 2018 3:57 pm, edited 1 time in total.
Reason: Añadido el formato [code]

User avatar
JOPETA
Level 13
Level 13
Posts: 4714
Joined: Thu Nov 20, 2014 6:10 am
Location: En un lugar de cuyo nombre no quiero acordarme

Re: No baja actualización mint-artwork-common 1.8.9.2

Post by JOPETA » Tue Apr 17, 2018 4:38 pm

Elizabeth wrote:
Tue Apr 17, 2018 3:50 pm
Por favor Jopeta, para seguir tu indicación sobre el Kernel ¿lo puedo actualizar desde el administrador de actualizaciones?
En el nivel 5 figura el 3.13.0-24.47 y el 4.4.0-lts1 ¿Cuál me conviene bajar?
Mira este hilo sobre instalación de actualizaciones, en el se dice que instalar y como. En el caso del kernel no se debe instalar las actualizaciones que proporciona Ubuntu con nivel 5 en tu caso. Hazlo de forma gráfica como indica Wibol en este tutorial. Recuerda que para encontrarlos se sigue el orden alfabético y el X.XX.X-100 está antes que el X.XX.X-20 en el listado.

Instala primero el 3.13, para algo es el kernel de Ubuntu trusty LTS . Cuando reinicies tendrás que ejecutarlo desde la opciones avanzadas del Menú GRUB hasta que desinstales los mayores en numeración (si solo tienes el que venía en la ISO pues ese). La desinstalación realízala también de la forma gráfica indicada. Cuando Instales el último 4.4. este quedará el primero del menú a ejecutar por defecto y el 3.13 Volverá al submenú de la Opciones Avanzadas..

No se que decirte sobre cual de los dos te irá mejor. Posiblemente los dos (no tienes gráfica dedicada y las WIFI de Intel no suelen dar problemas). Prueba ambos y quédate con los dos si van bien por si acaso. El 4.4. te interesa probarlo y si va mejor mantenerlo ya que es el kernel de Ubuntu xenial LTS y cuando se acabe el soporte de LM 17/U.trusty el año que viene estarás preparada para el salto (si no decides pasar a LM 19 de una tacada).

En caso de problemas al iniciar abre un nuevo hilo :wink:
Ni cola de león ni cabeza de ratón, prefiero ser diente de ajo.( J. Krahe)

Post Reply

Return to “Español (Spanish)”